%define _cgibin /var/www/cgi-bin

Name: apcupsd
Version: 3.14.0
Release: alt1
Packager: Sergey Y. Afonin <asy@altlinux.ru>
#BuildArch: i586

Summary: Power management software for APC UPS hardware
License: GPL2
Group: System/Servers
Url: http://www.apcupsd.org/

Source: ftp://ftp.apcupsd.com/pub/%name/development/%name-%version.tar.gz
Source1: apcupsd-platforms-altlinux.tgz
Source2: apcupsd-makesymlinks
Source3: apcupsd-upsdmessages

Patch1: apcupsd-3.14.0.aclocal.m4.patch
Patch2: %name-3.10.17-alt-specific-configure.in.patch
Patch3: %name-3.10.5-alt-usb_killpower.patch
Patch4: %name-3.10.5-cvs-daemonize.patch
Patch5: %name-3.12.2-config.sub.path

Conflicts: nut

# Requires: service

%def_disable cgi

# Automatically added by buildreq on Sun Feb 26 2006
#BuildRequires: gcc-c++ libncurses-devel libqt4-core libstdc++-devel libtinfo-devel mailutils makedepend
BuildRequires: gcc-c++ gzip-utils hostinfo libncurses-devel libtinfo-devel xorg-x11-devel

#BuildRequires: gpp libncurses-devel libqt4-core libtinfo-devel mailutils makedepend

%description -n %name
UPS power management under Linux for APCC Products.
It allows your computer/server to run during power problems
for a specified length of time or the life of the batteries
in your BackUPS, BackUPS Pro, SmartUPS v/s, or SmartUPS, and
then properly executes a controlled shutdown during an
extended power failure. The "apctest" can change EEPROM values
on some UPS models (via rs-232 cable).

%package doc
Group: System/Servers
Summary: apcupsd documentation

%description doc
The %name-doc package contains Here the documentation about
apcupsd daemon and apctest utility.

%package cgi
Summary: Web status for UPS
Group: Networking/Other
Requires: %name = %version-%release, apache-common

%description cgi
Web status for UPS.

%prep
%setup -q
%patch1 -p1
%patch2 -p0
#%patch3 -p1
#%patch4 -p1
%patch5 -p1

%__tar xzf %{SOURCE1}

%build
export ac_cv_path_MAIL=/bin/mail
export ac_cv_path_ETAGS=/usr/bin/ctags
export ac_cv_path_CTAGS=/usr/bin/ctags
%add_optflags -DCSS_DIR="\"\\\"./\\\"\""
autoconf -I autoconf autoconf/configure.in > configure
#autoheader -I autoconf autoconf/configure.in > autoconf/config.h.in

#autoreconf

%configure \
	--sbindir=/sbin \
	--sysconfdir=%_sysconfdir/%name \
	--with-log-dir=%_localstatedir/%name \
	--with-lock-dir=%_lockdir/serial \
	--enable-powerflute \
	--enable-pthreads \
	--enable-nls \
	%{subst_enable cgi} \
	--enable-usb \
	--enable-net \
	--disable-snmp \
	--with-cgi-bin=%_cgibin \
	--with-css-dir=./ \
	--with-nisip=127.0.0.1 \
	--enable-master-slave \
	--with-distname=altlinux

# SMP-incompatible build.
make

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sbindir,%_initdir,%_cgibin,%_localstatedir/%name}
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/%name \
	sbindir=$RPM_BUILD_ROOT/sbin \
	mandir=$RPM_BUILD_ROOT%_mandir \
	cgibin=$RPM_BUILD_ROOT%_cgibin \
	CSS_DIR=$RPM_BUILD_ROOT%_cgibin \
	#
pushd $RPM_BUILD_ROOT/sbin
	for f in apc*; do
		%__ln_s ../../sbin/"$f" ..%_sbindir/
	done
	%__mv powerflute ..%_sbindir/
popd

# build new action's sript
%__cp %{SOURCE3} $RPM_BUILD_ROOT/%_sysconfdir/%name/upsdmessages
pushd $RPM_BUILD_ROOT/%_sysconfdir/%name
sh %{SOURCE2}
popd

# copy apctest by hand
%__cp $RPM_BUILD_DIR/%name-%version/src/apctest $RPM_BUILD_ROOT/%_sbindir/

touch $RPM_BUILD_ROOT%_sysconfdir/{nologin,%name/powerfail}

%find_lang %name

%post
%post_service %name

%preun
%preun_service %name

%files -n %name -f %name.lang
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_initdir/%name
/sbin/*
%_sbindir/*
%_localstatedir/%name
%_mandir/man?/*
%ghost %_sysconfdir/%name/powerfail 
%ghost %_sysconfdir/nologin
%doc ChangeLog Developers ReleaseNotes

%files doc
%doc INSTALL doc examples

%if_enabled cgi
%files cgi
%_cgibin/*
%endif

%changelog
* Fri Feb 16 2007 Sergey Y. Afonin <asy@altlinux.ru> 3.14.0-alt1
- New version
  If you use the old style master/slave networking mode, be sure to read the release notes.

* Tue Aug 29 2006 Sergey Y. Afonin <asy@altlinux.ru> 3.12.4-alt1
- New version
- fix: #9925 (--enable-net)

* Mon May 29 2006 Sergey Y. Afonin <asy@altlinux.ru> 3.12.3-alt1
- New version
- fix: #9627 (wrong mandir)

* Tue Feb 28 2006 Sergey Y. Afonin <asy@altlinux.ru> 3.12.2-alt1
- New version

* Fri Dec 16 2005 Sergey Y. Afonin <asy@altlinux.ru> 3.10.18-alt1
- New version

* Wed Jun 01 2005 Sergey Y. Afonin <asy@altlinux.ru> 3.10.17-alt2
- change: compiled with "--enable-master-slave"

* Thu Apr 14 2005 Sergey Y. Afonin <asy@altlinux.ru> 3.10.17-alt1
- New version, return from absoleted
- fix: add ghost powerfail and nologin to %files in spec
- fix: conflict with nut package
- new: change action scripts
- new: add apctest to package
- new: move doc to apcupsd-doc package
- change: Disable usb_killpower.patch and daemonize.patch (fixed in mainstream)
- change: Split alt-specific.patch to platforms-altlinux.tgz and alt-specific-configure.in.patch
- change: Disable calling of autoheader (not work with new source)
- change: new format for init script

* Wed Apr 30 2003 Sergey Vlasov <vsu@altlinux.ru> 3.10.5-alt1
- Updated to 3.10.5.
- Dropped old patch for gcc3 support.
- Updated alt-specific patch.
- Built --with-nisip=127.0.0.1 (previously set by the patch).
- Patch to fix killpower for USB UPSes (apcupsd part; the kernel fix is
  also needed to make killpower work).
- Patch from CVS to daemonize properly (previously stdin was not closed).

* Mon Dec 23 2002 Dmitry V. Levin <ldv@altlinux.org> 3.10.1-alt2
- Fixed scripts (broken in 3.10.1-alt1).
- Specfile cleanup.
- Built --with-lock-dir=%%_lockdir/serial.
- Additional convention enforcement on patch file names.
- Disabled cgi subpackage (unclean build).

* Fri Dec 06 2002 Kachalov Anton <mouse@altlinux.ru> 3.10.1-alt1
- Updated to 3.10.1
- Fixed build with gcc3
- Enabled usb support
- Moved web stuff to separate subpackage.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.8.2-alt1
- 3.8.2
- Moved important binaries from %_sbindir to /sbin.

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 3.8.1-ipl1mdk
- RE adaptions (a lot).

* Mon Dec  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.8.0-1mdk
- new version

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-3mdk
- %%postun => %%preun

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-1mdk
- first mandrake version
